summaryrefslogtreecommitdiff
path: root/install.sh
diff options
context:
space:
mode:
Diffstat (limited to 'install.sh')
-rw-r--r--install.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/install.sh b/install.sh
index f109db2..00342f6 100644
--- a/install.sh
+++ b/install.sh
@@ -3,7 +3,9 @@
installifexists () {
if type $1 >/dev/null; then
printf "$1 found. Installing service dir to /etc/runit/sv...\n"
- sudo cp -rn $1 /etc/runit/sv/
+ if ! [ -d "/etc/runit/sv/$1" ]; then
+ sudo cp -rn $1 /etc/runit/sv/
+ fi
if [ -n "$(ls -A config/$1)" ]; then
printf "and config to /etc...\n"
sudo cp -rn config/$1/ /etc/